<?
require('startinclude.php');


function jelemento($ventana,$elemento,$htm) {
	$tmp = "if (document.getElementById('$elemento')) { \n";
	$tmp.= "document.getElementById('$elemento').innerHTML='$htm';\n";
	$tmp.= " }\n";
	return $tmp;
}
function jclase($ventana,$elemento,$clase) {
	$tmp = "if (document.getElementById('$elemento')) { \n";
	$tmp .= "document.getElementById('$elemento').className='$clase';\n";
	$tmp.=" } \n";
	return $tmp;
}


$camara=parametro('camara',0);
$id=parametro('id',0);
$minima=parametro('minima',0);
$maxima=parametro('maxima',0);
$valorn=parametro('valorn',0);
$checkbox=parametro('checkbox','false');
$checkbox=($checkbox=="true")?1:0;


$temp=array();
$camaras=array();



//	$id_camara=apc_fetch('id_camara');
//	$id_sensor=apc_fetch('id_sensor'.$camara);
	leer_camaras($camaras);
	leer_temperatura2($temp,$camara);
	$camaras_actual=array();
	leer_camaras_actual($camaras_actual);
	if ($camaras_actual[$camara]["estado_actual"]!="V") {
		$proceso_actual=$camaras_actual[$camara]["proceso_actual"];	
	} else {
		$proceso_actual=0;
	}
	
	$sql="UPDATE pf_sensorxcamara ";
	$sql.=" SET limite_minimo=".floor($minima*10)."  ";
	$sql.=" , limite_maximo=".floor($maxima*10)."  ";
	$sql.="where id_camara=".$camaras[$camara]["id_camara"];
	
	if (!$checkbox) {
		$sql.=" and lecturadirmodulo=".$temp[$id]["id"]." and lecturadirtipo=".$temp[$id]["lecturadirtipo"].";\n";
	}
	if ($proceso_actual) {
		$sql.="UPDATE pf_sensorxproceso ";
		$sql.=" SET limite_minimo=".floor($minima*10)."  ";
		$sql.=" , limite_maximo=".floor($maxima*10)."  ";
		$sql.="where id_proceso=$proceso_actual ";
		if (!$checkbox) {
			$sql.=" and lecturadirmodulo=".$temp[$id]["id"]." and lecturadirtipo=".$temp[$id]["lecturadirtipo"].";\n";
		}		
	}

	$temp[$id]['limite_minimo']=$minima;
	$temp[$id]['limite_maximo']=$maxima;
	$filas=0;
	$resultado="";
	ejecutarsql($sql,&$filas,&$resultado);		
	apc_store_udt('celsius'.$camara,$temp);
/*
USE [Prefrio]
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[MOTORESCRITURAS](
	[EscrituraID] [int] IDENTITY(1,1) NOT NULL,
	[EscrituraDirModulo] [smallint] NOT NULL,
	[EscrituraDirMemoria] [smallint] NOT NULL,
	[EscrituraValor] [smallint] NOT NULL,
	[EscrituraError] [smallint] NOT NULL,
PRIMARY KEY CLUSTERED 
(
	[EscrituraID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
*/
	if ($valorn!=="") {
		$valorn=round($valorn*10);
		$sql="insert into MOTORESCRITURAS(EscrituraDirModulo, EscrituraDirMemoria, EscrituraValor, EscrituraError) ";
		$sql.="values (".$temp[$id]["id"].",".$temp[$id]["lecturadirtipo"].",$valorn,1);	"; // = 1 es intento no error.
		ejecutarsql($sql,&$filas,&$resultado);		
	}
	
	jsinicio();
	/*		if ($valor_nuevo=='N') {				
				echo jclase(0,'valor'.$id,"offline");
				echo jclase(0,'celnombre'.$id,"offline");
				echo jelemento(0,'valor'.$id,"--");
	} else {
				echo jclase(0,'celnombre'.$id,"ok");
				echo jclase(0,'valor'.$id,"ok");				
	}	
*/	
echo "alert('Dato Guardado');";
	echo "loader.stop();";


	
	
	jsfin();
?>